Subject: bug#59149: [SPAM UNSURE] Re: bug#59149: Feature Request: Report progress of long requests in Eglot

From: João Távora <[email-masked]>
Date: Fri, 25 Nov 2022 16:11:58 +0000

Stephen Leake <[email-masked]> writes:

> Or just keep it commented out; it's easy enough to run eval-defun after
> uncommenting.

Both approaches make sense.

>> So I think we should do either 'c' or 'd' for now, and we can always
>> address your request later.
>
> Ok. Since that rules out b, I vote for d.

OK.  Let's have Danny's opinion on it, especially on the name
'eglot-report-progress'.  In the simplest case, this variable is a
boolean, but I am curious if other types of progress reporting can be
envisioned.  If they are, they should be controlled by the least amount
of user variables possible.